
Application: gvSIG desktop - gvSIG bugs #2787
Raster layer name in the ToC is equal to its full path
08/12/2014 01:36 PM - Antonio Falciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Raster
Target version: 2.1.0-2249-testing
Severity: Critical Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2248 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

The raster layer name in the ToC is equal to its full path, while it should be simply its filename (plus optionally the extension).

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2874: Can't enable/show ... Closed 10/14/2014

Associated revisions
Revision 41739 - 09/29/2014 04:14 PM - Joaquín  del Cerro Murciano

Correcciones relacionadas con que las capas raster muestren en el TOC el nombre correcto, refs  #2787

Revision 121 - 09/29/2014 04:34 PM - Joaquín  del Cerro Murciano

Correcciones relacionadas con que las capas raster muestren en el TOC el nombre correcto, refs  #2787

Revision 2885 - 09/29/2014 10:19 PM - Joaquín  del Cerro Murciano

Correcciones relacionadas con que las capas raster muestren en el TOC el nombre correcto, refs  #2787

Revision 2886 - 09/29/2014 10:19 PM - Joaquín  del Cerro Murciano

Correcciones relacionadas con que las capas raster muestren en el TOC el nombre correcto, refs  #2787

Revision 2887 - 09/29/2014 10:19 PM - Joaquín  del Cerro Murciano

Correcciones relacionadas con que las capas raster muestren en el TOC el nombre correcto, refs  #2787

Revision 2888 - 09/29/2014 10:19 PM - Joaquín  del Cerro Murciano

Correcciones relacionadas con que las capas raster muestren en el TOC el nombre correcto, refs  #2787
Revision 2889 - 09/29/2014 10:19 PM - Joaquín  del Cerro Murciano

Correcciones relacionadas con que las capas raster muestren en el TOC el nombre correcto, refs  #2787

Revision 2890 - 09/29/2014 10:19 PM - Joaquín  del Cerro Murciano

Correcciones relacionadas con que las capas raster muestren en el TOC el nombre correcto, refs  #2787

Revision 2891 - 10/01/2014 12:14 PM - Joaquín  del Cerro Murciano

Correcciones relacionadas con que las capas raster muestren en el TOC el nombre correcto, refs  #2787

Revision 2892 - 10/01/2014 12:14 PM - Joaquín  del Cerro Murciano

Correcciones relacionadas con que las capas raster muestren en el TOC el nombre correcto, refs  #2787

Revision 3001 - 10/13/2014 03:03 PM - Joaquín  del Cerro Murciano

Robustecido el codigo de  BinarySearch para que sea resistente a nulos. refs #2787

Revision 3002 - 10/13/2014 03:21 PM - Joaquín  del Cerro Murciano

Corregido el calculo de nombre de una capa raster, devolbia siempre null en windows. refs #2787

History
#1 - 08/19/2014 03:51 AM - Álvaro Anguix
- Target version set to 2.1.0-2259-rc3
- Assignee set to Joaquín  del Cerro Murciano

#2 - 09/02/2014 05:29 AM - Álvaro Anguix
- Assignee changed from Joaquín  del Cerro Murciano to Ignacio Brodín

#3 - 09/28/2014 11:10 AM - Álvaro Anguix
- File image002.png added

No sé si está relacionado con esto, hay varios geoprocesos heredados de Sextante que no se pueden utilizar ya que lanza mensaje de que no
encuentra ubicación. Adjunto captura

#4 - 09/30/2014 05:14 AM - Antonio Falciano

Álvaro Anguix wrote:

No sé si está relacionado con esto, hay varios geoprocesos heredados de Sextante que no se pueden utilizar ya que lanza mensaje de que no
encuentra ubicación. Adjunto captura
Hi Alvaro,
I don't think that it's the same issue. In reference to raster layers, for instance, if we use "Random DEM" and then try to multiply the result (DEM) by
two with the "Raster Calculator", it works. Instead, if we load a local raster layer, it's load in the ToC with its full path and we can't do the same
operation. In fact, the "Raster Calculator" reports always incomplete or not correct parameters, while the sextante.log reports:

[mar, 30-set-2014 11:01:01]-ERROR:Unrecognized symbol "c" 
Encountered ":" at line 1, column 2.
Was expecting one of:
    <EOF> 
    ";" ...
    ">" ...
    "<" ...
    "==" ...
    "<=" ...
    ">=" ...
    "!=" ...
    "&&" ...
    "||" ...
    "+" ...
    "-" ...
    "^" ...
    "[" ...
    "=" ...
    <STRING_LITERAL> ...
    <INTEGER_LITERAL> ...
    <FLOATING_POINT_LITERAL> ...
    <INDENTIFIER1> ...
    <INDENTIFIER2> ...
    "(" ...
    "*" ...
    "." ...
    "^^" ...
    "/" ...
    "%" ...

...just because it doesn't accept the ":" of the raster layer path. So fixing this ticket would fix also some issues related to the raster geoalgorithms of
SEXTANTE. ;)

#5 - 10/02/2014 10:54 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#6 - 10/02/2014 01:23 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2247-testing

#7 - 10/02/2014 01:25 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2247-testing to 2.1.0-2248-testing

#8 - 10/07/2014 01:14 PM - Antonio Falciano
- Status changed from Fixed to New
If I load a local raster file in build 2248, the layer name is empty now.

#9 - 10/13/2014 04:20 AM - Álvaro Anguix

Hi Antonio,

Can you add the log file?

Thanks!

#10 - 10/13/2014 07:06 AM - Álvaro Anguix
- File gvSIG.log added

Subo yo un log, lo he testeado en Windows7 y sucede tal y como comenta Antonio.
Puede que esté relacionado: al darle a Propiedades del raster me indica que no se cargará la pestaña "Información".

#11 - 10/13/2014 07:07 AM - Álvaro Anguix
- Operative System set to Windows
- gvSIG build set to 2248
- Severity changed from Minor to Critical

#12 - 10/13/2014 07:07 AM - Álvaro Anguix
- Target version changed from 2.1.0-2248-testing to 2.1.0-2259-rc3

#13 - 10/13/2014 08:27 AM - Álvaro Anguix
- Assignee changed from Ignacio Brodín to Joaquín  del Cerro Murciano

#14 - 10/13/2014 09:23 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#15 - 10/13/2014 09:23 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2249-testing

#16 - 10/14/2014 09:50 AM - Antonio Falciano
- Status changed from Fixed to Closed

#17 - 10/15/2014 05:58 AM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #2874: Can't enable/show control 'GenericToolBarPanel' added

Files
image002.png 15.5 KB 09/28/2014 Álvaro Anguix
gvSIG.log 347 KB 10/13/2014 Álvaro Anguix
